## calligra-l10n 2.8.6

=== debian/changelog ===
calligra-l10n (1:2.8.6-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 26 Sep 2014 06:58:22 -0700

calligra-l10n (1:2.8.5-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jul 2014 10:59:34 +0000

=== debian/control ===
Source: calligra-l10n
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>
Build-Depends: cmake, debhelper (>= 6), bzip2, kdelibs5-dev (>= 4:4.4.0)
Standards-Version: 3.9.4
Homepage: http://www.calligra-suite.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/calligra-l10n.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/calligra-l10n.git;a=summary

Package: calligra-l10n-bs
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-bs
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Bosnian (bs) localization files for Calligra
 This package contains the Catalan translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-ca
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ca
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Catalan (ca) localization files for Calligra
 This package contains the Catalan translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-cavalencia
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ca-valencia
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Catalan (Valencian) (ca-valencia) localization files for Calligra
 This package contains the Catalan (Valencian) translations for all the
 applications in the Calligra Office Suite.

Package: calligra-l10n-cs
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-cs
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Czech (cs) localization files for Calligra
 This package contains the Catalan translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-da
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-da
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Danish (da) localization files for Calligra
 This package contains the Danish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-de
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-de
Suggests: ${calligra:Suggests}, openthesaurus-de-kword
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: German (de) localization files for Calligra
 This package contains the German translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-el
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-el
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Greek (el) localization files for Calligra
 This package contains the greek translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-engb
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-engb
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: British English (en_GB) localization files for Calligra
 This package contains the British English translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-es
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-es
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Spanish (es) localization files for Calligra
 This package contains the Spanish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-et
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-et
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Estonian (et) localization files for Calligra
 This package contains the Estonian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-eu
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-eu
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Basque (eu) localization files for Calligra
 This package contains the Basque translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-fi
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-fi
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Finnish (fi) localization files for Calligra
 This package contains the Finnish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-fr
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-fr
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: French (fr) localization files for Calligra
 This package contains the French translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-gl
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-gl
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Galician (gl) localization files for Calligra
 This package contains the French translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-hu
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-hu
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Hungarian (hu) localization files for Calligra
 This package contains the Hungarian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-it
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-it
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Italian (it) localization files for Calligra
 This package contains the Italian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-ja
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ja
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Japanese (ja) localization files for Calligra
 This package contains the japanese translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-kk
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-kk
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Kazakh (kk) localization files for Calligra
 This package contains the Kazakh translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-nb
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-nb
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Norwegian Bookmal (nb) localization files for Calligra
 This package contains the Norwegian Bookmal translations for all
 the applications in the Calligra Office Suite.

Package: calligra-l10n-nds
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-nds
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Low Saxon (nds) localization files for Calligra
 This package contains the Low Saxon translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-nl
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-nl
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Dutch (nl) localization files for Calligra
 This package contains the Dutch translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-pl
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-pl
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Polish (pl) localization files for Calligra
 This package contains the Polish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-pt
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-pt
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Portuguese (pt) localization files for Calligra
 This package contains the Portuguese translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-ptbr
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ptbr
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Brazilian Portuguese (pt_BR) localization files for Calligra
 This package contains the Brazilian Portuguese translations for all
 the applications in the Calligra Office Suite.
 
Package: calligra-l10n-ru
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ru
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Russian (ru) localization files for Calligra
 This package contains the Russian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-sk
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-sk
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Slovakian (sk) localization files for Calligra
 This package contains the Slovakian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-sv
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-sv
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Swedish (sv) localization files for Calligra

## calligra-l10n 2.8.7

=== debian/changelog ===
calligra-l10n (1:2.8.7-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Mikhail Ivchenko <ematirov@ematirov>  Fri, 12 Dec 2014 15:37:56 +0400

## calligra-l10n 2.9.2

=== debian/changelog ===
calligra-l10n (1:2.9.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Apr 2015 17:12:43 +0000

=== debian/control ===
--- 
+++ 
@@ -130,18 +130,6 @@
  This package contains the Estonian translations for all the applications
  in the Calligra Office Suite.
 
-Package: calligra-l10n-eu
-Architecture: all
-Depends: ${misc:Depends}, ${calligra:Depends}
-Recommends: ${calligra:Recommends}, kde-l10n-eu
-Suggests: ${calligra:Suggests}
-Replaces: ${calligra:Replaces}
-Breaks: ${calligra:Breaks}
-Provides: ${calligra:Provides}
-Description: Basque (eu) localization files for Calligra
- This package contains the Basque translations for all the applications
- in the Calligra Office Suite.
-
 Package: calligra-l10n-fi
 Architecture: all
 Depends: ${misc:Depends}, ${calligra:Depends}
@@ -237,18 +225,6 @@
 Description: Norwegian Bookmal (nb) localization files for Calligra
  This package contains the Norwegian Bookmal translations for all
  the applications in the Calligra Office Suite.
-
-Package: calligra-l10n-nds
-Architecture: all
-Depends: ${misc:Depends}, ${calligra:Depends}
-Recommends: ${calligra:Recommends}, kde-l10n-nds
-Suggests: ${calligra:Suggests}
-Replaces: ${calligra:Replaces}
-Breaks: ${calligra:Breaks}
-Provides: ${calligra:Provides}
-Description: Low Saxon (nds) localization files for Calligra
- This package contains the Low Saxon translations for all the applications
- in the Calligra Office Suite.
 
 Package: calligra-l10n-nl
 Architecture: all
@@ -331,3 +307,27 @@
 Breaks: ${calligra:Breaks}
 Provides: ${calligra:Provides}
 Description: Swedish (sv) localization files for Calligra
+ This package contains the Swedish translations for all the applications
+ in the Calligra Office Suite.
+
+Package: calligra-l10n-tr
+Architecture: all
+Depends: ${misc:Depends}, ${calligra:Depends}
+Recommends: ${calligra:Recommends}, kde-l10n-tr
+Suggests: ${calligra:Suggests}
+Replaces: ${calligra:Replaces}
+Breaks: ${calligra:Breaks}
+Provides: ${calligra:Provides}
+Description: Turkish (tr) localization files for Calligra
+ This package contains the Turkish translations for all the applications
+ in the Calligra Office Suite.
+
+Package: calligra-l10n-uk
+Architecture: all
+Depends: ${misc:Depends}, ${calligra:Depends}
+Recommends: ${calligra:Recommends}, kde-l10n-uk
+Suggests: ${calligra:Suggests}
+Replaces: ${calligra:Replaces}
+Breaks: ${calligra:Breaks}
+Provides: ${calligra:Provides}
+Description: Ukrainian (uk) localization files for Calligra

## calligra-l10n 2.9.5

=== CMakeLists.txt ===
project(kde-i18n-de)

# Search KDE installation
find_package(KDE4 REQUIRED)
find_package(Gettext REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

set(CURRENT_LANG de)

macro_optional_add_subdirectory( messages )
macro_optional_add_subdirectory( docs )
macro_optional_add_subdirectory( data )

=== debian/changelog ===
calligra-l10n (1:2.9.5-0ubuntu2) wily; urgency=medium

  * Remove unused language

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 13:37:53 +0000

calligra-l10n (1:2.9.5-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:53:36 +0000

=== debian/control ===
--- 
+++ 
@@ -310,18 +310,6 @@
  This package contains the Swedish translations for all the applications
  in the Calligra Office Suite.
 
-Package: calligra-l10n-tr
-Architecture: all
-Depends: ${misc:Depends}, ${calligra:Depends}
-Recommends: ${calligra:Recommends}, kde-l10n-tr
-Suggests: ${calligra:Suggests}
-Replaces: ${calligra:Replaces}
-Breaks: ${calligra:Breaks}
-Provides: ${calligra:Provides}
-Description: Turkish (tr) localization files for Calligra
- This package contains the Turkish translations for all the applications
- in the Calligra Office Suite.
-
 Package: calligra-l10n-uk
 Architecture: all
 Depends: ${misc:Depends}, ${calligra:Depends}
@@ -331,3 +319,15 @@
 Breaks: ${calligra:Breaks}
 Provides: ${calligra:Provides}
 Description: Ukrainian (uk) localization files for Calligra
+ This package contains the Ukrainian translations for all the applications
+ in the Calligra Office Suite.
+
+Package: calligra-l10n-zhcn
+Architecture: all
+Depends: ${misc:Depends}, ${calligra:Depends}
+Recommends: ${calligra:Recommends}, kde-l10n-zhcn
+Suggests: ${calligra:Suggests}
+Replaces: ${calligra:Replaces}
+Breaks: ${calligra:Breaks}
+Provides: ${calligra:Provides}
+Description: Chinese Simplified (zh_CN) localization files for Calligra

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

# Value of the calligra:{Depends,Recommends,Suggests,Replaces,Breaks,Provides}
# substvars. Common relationships for each l10n package. 
L10N_Depends :=
L10N_Recommends := 
L10N_Suggests := calligra
L10N_Replaces :=
L10N_Breaks :=
L10N_Provides := calligra-l10n

L10N_PREFIX := calligra-l10n
#L10N_VERSION := $(shell cat debian/changelog | head -n1 | sed 's/.*(\([[:digit:]]\+:\)\?\(.\+\)-.\+).*/\2/')
L10N_LANGS := $(filter-out debian,$(subst ./,,$(shell find . -mindepth 1 -maxdepth 1 -type d ! -name .pc ! -name .git)))
L10N_DIRS = $(L10N_LANGS)
L10N_PACKAGES := $(patsubst %,$(L10N_PREFIX)-%,$(L10N_LANGS))

# Support variables to be used in targets
cur_lang = $(word 2,$(subst __, ,$@))
cur_lang_dir = $(cur_lang)
cur_lang_builddir = $(cur_lang_dir)/build
cur_pkg = $(L10N_PREFIX)-$(cur_lang)

# Stamps
STAMP_BUILD := $(patsubst %,debian/stamp__%__build,$(L10N_LANGS))
L10N_INSTALL := $(patsubst %,install__%,$(L10N_LANGS))
L10N_CLEAN := $(patsubst %,clean__%,$(L10N_LANGS))

# debian/control checks
L10N_PACKAGES_IN_CONTROL := $(shell dh_listpackages | grep '$(L10N_PREFIX)')
L10N_NOTEXIST_IN_CONTROL := $(filter-out $(L10N_PACKAGES_IN_CONTROL),$(L10N_PACKAGES))
L10N_EXCESS_IN_CONTROL := $(filter-out $(L10N_PACKAGES),$(L10N_PACKAGES_IN_CONTROL))

check_control:
	@test -z "$(L10N_NOTEXIST_IN_CONTROL)" || \
		(echo "-- ERROR: debian/control is missing language packages: $(L10N_NOTEXIST_IN_CONTROL)" && false)
	@test -z "$(L10N_EXCESS_IN_CONTROL)" || \
		(echo "-- ERROR: debian/control has excess language packages: $(L10N_EXCESS_IN_CONTROL)" && false)

prepare_build: check_control
	dh_testdir

build: $(STAMP_BUILD)

build_progress = [$(shell ls -1 -d debian/stamp__*__build debian | wc -l)/$(words $(STAMP_BUILD))]
$(STAMP_BUILD): | prepare_build
	# $(build_progress) Building '$(cur_lang)' language ...
	dh_auto_configure -Scmake -D$(cur_lang) -B$(cur_lang_builddir) -- -DCMAKE_BUILD_TYPE=Debian
	$(MAKE) -C $(cur_lang_builddir)
	# $(build_progress) Built '$(cur_lang)' language.
	touch $@

prepare_install:
	dh_testdir
	dh_testroot
	dh_prep

install: $(L10N_INSTALL)
	# Installed successfully

$(L10N_INSTALL): | prepare_install
	# Installing '$(cur_lang)' to the '$(cur_pkg)' package
	dh_auto_install -Scmake -D$(cur_lang) -B$(cur_lang_builddir) --destdir=$(CURDIR)/debian/$(cur_pkg)
	# Remove extra desktop_calligra.mo file
	rm --verbose debian/$(cur_pkg)/usr/share/locale/*/LC_MESSAGES/desktop_calligra.mo || true

prepare_clean:
	dh_testdir

clean: $(L10N_CLEAN)
	dh_clean

# Delete build directories
$(L10N_CLEAN): prepare_clean
	rm -rf $(cur_lang_builddir) debian/stamp__$(cur_lang)__*

binary-arch:
	# No architecture dependent files available

binary-indep: build install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_link
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(foreach rel,Depends Recommends Suggests Replaces Breaks Provides,-V'calligra:$(rel)=$(L10N_$(rel))')
	dh_md5sums
	dh_builddeb -- -Zxz

# Below here is fairly generic really
binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean patch build install
.PHONY: check_control prepare_build prepare_install $(L10N_INSTALL) $(L10N_CLEAN)

## calligra-l10n 2.9.11

=== debian/changelog ===
calligra-l10n (1:2.9.11-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  [ Pino Toscano ]
  * New upstream release.
    - add languages: tr
    - remove languages: eu, nds

  [ Pino Toscano ]
  * Make use of version=4 format for the watch file, so it can be used to
    monitor and download upstream tarballs directly:
    - add a new script, createwatch, to generate a watch file from a list of
      languages
    - update debian/README.source
    - add the resulting watch file generated with createwatch
  * Bump the calligra-libs dependency to >= 2.9.11.
  * Exclude .mo files which are not wanted:
    - desktop_calligra_calligra.mo, since it's only used for translating
      .desktop files
    - krita.mo, shipped with krita
    - *.appdata.mo, since it's only used for translating appdata files
  * Stop calling few dh helpers:
    - dh_installmenu, as there are no menu files to install
    - dh_strip and dh_shlibdeps, no-ops for arch-indep binaries
  * Fix typo in the description of calligra-l10n-el.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-* field.
  * Switch Homepage to http://www.calligra.org.
  * Fix typo in item of version 1:2.8.5-1.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Sep 2016 16:34:39 +0200

=== debian/control ===
Source: calligra-l10n
Section: localization
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <perso@adrieng.fr>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake, debhelper (>= 9), bzip2, kdelibs5-dev (>= 4:4.4.0),
               gettext
Standards-Version: 3.9.8
Homepage: https://www.calligra.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/calligra-l10n.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/calligra-l10n.git

Package: calligra-l10n-bs
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-bs
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Bosnian (bs) localization files for Calligra
 This package contains the Bosnian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-ca
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ca
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-ca (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-ca (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Catalan (ca) localization files for Calligra
 This package contains the Catalan translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-cavalencia
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-cavalencia
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-cavalencia (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-cavalencia (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Southern Catalan (Valencian) (ca@valencia) files for Calligra
 This package contains the Southern Catalan (Valencian) translations for all
 the applications in the Calligra Office Suite.

Package: calligra-l10n-cs
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-cs
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-cs (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-cs (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Czech (cs) localization files for Calligra
 This package contains the Czech translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-da
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-da
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-da (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-da (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Danish (da) localization files for Calligra
 This package contains the Danish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-de
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-de
Suggests: ${calligra:Suggests}, openthesaurus-de-kword
Replaces: koffice-l10n-de (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-de (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: German (de) localization files for Calligra
 This package contains the German translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-el
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-el
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-el (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-el (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Greek (el) localization files for Calligra
 This package contains the Greek translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-engb
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-engb
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-engb (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-engb (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: British English (en_GB) localization files for Calligra
 This package contains the British English (en_GB) translations
 for all the applications in the Calligra Office Suite.

Package: calligra-l10n-es
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-es
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-es (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-es (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Spanish (es) localization files for Calligra
 This package contains the Spanish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-et
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-et
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-et (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-et (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Estonian (et) localization files for Calligra
 This package contains the Estonian translations for all the applications
 in the Calligra Office Suite.

#Package: calligra-l10n-eu
#Architecture: all
#Depends: ${misc:Depends}, ${calligra:Depends}
#Recommends: ${calligra:Recommends}, kde-l10n-eu
#Suggests: ${calligra:Suggests}
#Provides: ${calligra:Provides}
#Description: Basque (eu) localization files for Calligra
# This package contains the Basque translations for all the applications
# in the Calligra Office Suite.

Package: calligra-l10n-fi
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-fi
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-fi (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-fi (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Finnish (fi) localization files for Calligra
 This package contains the Finnish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-fr
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-fr
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-fr (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-fr (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: French (fr) localization files for Calligra
 This package contains the French translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-gl
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-gl
Suggests: ${calligra:Suggests}
Replaces: ${calligra:Replaces}
Breaks: ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Galician (gl) localization files for Calligra
 This package contains the Galician translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-hu
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-hu
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-hu (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-hu (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Hungarian (hu) localization files for Calligra
 This package contains the Hungarian translations for all the applications
 in the Calligra Office Suite.

#Package: calligra-l10n-ia
#Architecture: all
#Depends: ${misc:Depends}, ${calligra:Depends}
#Recommends: ${calligra:Recommends}, kde-l10n-ia
#Suggests: ${calligra:Suggests}
#Replaces: koffice-l10n-ia (<< 1:2.4), ${calligra:Replaces}
#Breaks: koffice-l10n-ia (<< 1:2.4), ${calligra:Breaks}
#Provides: ${calligra:Provides}
#Description: Interlingua (ia) localization files for Calligra
# This package contains the Interlingua translations for all the applications
# in the Calligra Office Suite.

Package: calligra-l10n-it
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-it
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-it (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-it (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Italian (it) localization files for Calligra
 This package contains the Italian translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-ja
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-ja
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-ja (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-ja (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Japanese (ja) localization files for Calligra
 This package contains the Japanese translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-kk
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-kk
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-kk (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-kk (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Kazakh (kk) localization files for Calligra
 This package contains the Kazakh translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-nb
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-nb
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-nb (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-nb (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Norwegian Bookmal (nb) localization files for Calligra
 This package contains the Norwegian Bookmal translations for all
 the applications in the Calligra Office Suite.

#Package: calligra-l10n-nds
#Architecture: all
#Depends: ${misc:Depends}, ${calligra:Depends}
#Recommends: ${calligra:Recommends}, kde-l10n-nds
#Suggests: ${calligra:Suggests}
#Replaces: koffice-l10n-nds (<< 1:2.4), ${calligra:Replaces}
#Breaks: koffice-l10n-nds (<< 1:2.4), ${calligra:Breaks}
#Provides: ${calligra:Provides}
#Description: Low Saxon (nds) localization files for Calligra
# This package contains the Low Saxon translations for all the applications
# in the Calligra Office Suite.

Package: calligra-l10n-nl
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-nl
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-nl (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-nl (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Dutch (nl) localization files for Calligra
 This package contains the Dutch translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-pl
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-pl
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-pl (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-pl (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Polish (pl) localization files for Calligra
 This package contains the Polish translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-pt
Architecture: all
Depends: ${misc:Depends}, ${calligra:Depends}
Recommends: ${calligra:Recommends}, kde-l10n-pt
Suggests: ${calligra:Suggests}
Replaces: koffice-l10n-pt (<< 1:2.4), ${calligra:Replaces}
Breaks: koffice-l10n-pt (<< 1:2.4), ${calligra:Breaks}
Provides: ${calligra:Provides}
Description: Portuguese (pt) localization files for Calligra
 This package contains the Portuguese translations for all the applications
 in the Calligra Office Suite.

Package: calligra-l10n-ptbr
Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 endif
 
 # Value of the calligra:{Depends,Recommends,Suggests,Replaces,Breaks,Provides}
-# substvars. Common relationships for each l10n package. 
-L10N_Depends :=
-L10N_Recommends := 
+# substvars. Common relationships for each l10n package.
+L10N_Depends := calligra-libs (>= 1:2.9.11)
+L10N_Recommends :=
 L10N_Suggests := calligra
 L10N_Replaces :=
 L10N_Breaks :=
@@ -18,7 +18,7 @@
 
 L10N_PREFIX := calligra-l10n
 #L10N_VERSION := $(shell cat debian/changelog | head -n1 | sed 's/.*(\([[:digit:]]\+:\)\?\(.\+\)-.\+).*/\2/')
-L10N_LANGS := $(filter-out debian,$(subst ./,,$(shell find . -mindepth 1 -maxdepth 1 -type d ! -name .pc ! -name .git)))
+L10N_LANGS := $(filter-out debian,$(subst ./,,$(shell find . -mindepth 1 -maxdepth 1 -type d ! -name .pc ! -name .git ! -name .hg)))
 L10N_DIRS = $(L10N_LANGS)
 L10N_PACKAGES := $(patsubst %,$(L10N_PREFIX)-%,$(L10N_LANGS))
 
@@ -47,7 +47,11 @@
 prepare_build: check_control
 	dh_testdir
 
-build: $(STAMP_BUILD)
+build: build-arch build-indep
+build-arch: build-stamp
+# no indep files, only arch: all
+build-indep:
+build-stamp: $(STAMP_BUILD)
 
 build_progress = [$(shell ls -1 -d debian/stamp__*__build debian | wc -l)/$(words $(STAMP_BUILD))]
 $(STAMP_BUILD): | prepare_build
@@ -68,8 +72,13 @@
 $(L10N_INSTALL): | prepare_install
 	# Installing '$(cur_lang)' to the '$(cur_pkg)' package
 	dh_auto_install -Scmake -D$(cur_lang) -B$(cur_lang_builddir) --destdir=$(CURDIR)/debian/$(cur_pkg)
-	# Remove extra desktop_calligra.mo file
-	rm --verbose debian/$(cur_pkg)/usr/share/locale/*/LC_MESSAGES/desktop_calligra.mo || true
+	# The new KF5 package have their own translations now, remove files listed in excluded_files.list
+	sed -e '/^$$/d;/^#/d' $(CURDIR)/debian/excluded_files.list | while read excluded_file; do \
+	    find $(CURDIR)/debian/$(cur_pkg) -name $${excluded_file} -delete ; \
+	done
+	# Drop *.appdata.mo translations, since they are only helper for
+	# translating appdata files
+	find $(CURDIR)/debian/$(cur_pkg) -name '*.appdata.mo' -delete
 
 prepare_clean:
 	dh_testdir
@@ -88,14 +97,11 @@
 	dh_testroot
 	dh_testdir
 	dh_installdocs
-	dh_installmenu
 	dh_installchangelogs
-	dh_strip
 	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
 	dh_link
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps
 	dh_gencontrol -- $(foreach rel,Depends Recommends Suggests Replaces Breaks Provides,-V'calligra:$(rel)=$(L10N_$(rel))')
 	dh_md5sums
 	dh_builddeb -- -Zxz
@@ -103,5 +109,6 @@
 # Below here is fairly generic really
 binary: binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean patch build install
+.PHONY: binary binary-arch binary-indep build build-arch build-indep
+.PHONY: clean install patch
 .PHONY: check_control prepare_build prepare_install $(L10N_INSTALL) $(L10N_CLEAN)

=== debian/watch ===
version=4

# !!! WARNING !!!
# !!! Autogenerated using debian/createwatch.
# !!! Please see debian/README.source for more details.

opts="component=bs" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-bs-([\d.]+)\.tar\.xz

opts="component=ca" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-ca-([\d.]+)\.tar\.xz

opts="component=cavalencia" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-ca@valencia-([\d.]+)\.tar\.xz

opts="component=cs" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-cs-([\d.]+)\.tar\.xz

opts="component=da" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-da-([\d.]+)\.tar\.xz

opts="component=de" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-de-([\d.]+)\.tar\.xz

opts="component=el" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-el-([\d.]+)\.tar\.xz

opts="component=engb" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-en_GB-([\d.]+)\.tar\.xz

opts="component=es" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-es-([\d.]+)\.tar\.xz

opts="component=et" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-et-([\d.]+)\.tar\.xz

opts="component=fi" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-fi-([\d.]+)\.tar\.xz

opts="component=fr" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-fr-([\d.]+)\.tar\.xz

opts="component=gl" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-gl-([\d.]+)\.tar\.xz

opts="component=hu" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-hu-([\d.]+)\.tar\.xz

opts="component=it" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-it-([\d.]+)\.tar\.xz

opts="component=ja" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-ja-([\d.]+)\.tar\.xz

opts="component=kk" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-kk-([\d.]+)\.tar\.xz

opts="component=nb" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-nb-([\d.]+)\.tar\.xz

opts="component=nl" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-nl-([\d.]+)\.tar\.xz

opts="component=pl" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-pl-([\d.]+)\.tar\.xz

opts="component=pt" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-pt-([\d.]+)\.tar\.xz

opts="component=ptbr" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-pt_BR-([\d.]+)\.tar\.xz

opts="component=ru" \
  http://download.kde.org/stable/calligra-([\d.]+)/calligra-l10n/calligra-l10n-ru-([\d.]+)\.tar\.xz
